aboutsummaryrefslogtreecommitdiff
path: root/scripts/system-search.sh
diff options
context:
space:
mode:
Diffstat (limited to '')
-rwxr-xr-xscripts/system-search.sh7
1 files changed, 6 insertions, 1 deletions
diff --git a/scripts/system-search.sh b/scripts/system-search.sh
index 329ead9..f1a1aad 100755
--- a/scripts/system-search.sh
+++ b/scripts/system-search.sh
@@ -1,10 +1,15 @@
-#!/bin/bash
+#!/usr/bin/env bash
# system-search.sh: List all games from a specific system
# Accepts either one argument (the system name), or the filter to send
# to vgstash and then the system name.
+# Set options for improved robustness
+set -o errexit
+set -o pipefail
+set -o nounset
+
show_help() {
cat <<-FOOBAR
system-search.sh [filter] SYSTEM